## ansible-tower-cli 3.1.4

=== Makefile ===
VERSION = $(shell cat VERSION)

DISTS = el6 el7
DIST_SUFFIX_el6 = 
DIST_SUFFIX_el7 = .centos
MOCK_CFG_el6 = epel-6-x86_64
MOCK_CFG_el7 = epel-7-x86_64

.PHONY: all clean $(DISTS)
.DEFAULT_GOAL = all

define RPM_DIST_RULE

$(eval $(1)_SRPM=rpm-build/ansible-tower-cli-$(VERSION)-1.$(1)$(DIST_SUFFIX_$(1)).src.rpm)
$(eval $(1)_RPM=rpm-build/ansible-tower-cli-$(VERSION)-1.$(1)$(DIST_SUFFIX_$(1)).noarch.rpm)
SRPMS += $($(1)_SRPM)
RPMS += $($(1)_RPM)

$($(1)_SRPM): rpm-build/.exists dist/ansible-tower-cli-$(VERSION).tar.gz packaging/rpm/ansible-tower-cli.spec
	mock -r $(MOCK_CFG_$(1)) --buildsrpm --spec packaging/rpm/ansible-tower-cli.spec --sources dist/ --resultdir rpm-build

$($(1)_RPM): $($(1)_SRPM)
	mock -r $(MOCK_CFG_$(1)) --rebuild $($(1)_SRPM) --resultdir rpm-build

$(1): $($(1)_RPM)

endef

$(foreach DIST, $(DISTS), $(eval $(call RPM_DIST_RULE,$(DIST))))

all: $(RPMS)

clean:
	rm -rf dist
	rm -rf ansible_tower_cli.egg-info
	rm -rf rpm-build

dist/ansible-tower-cli-$(VERSION).tar.gz: bin/tower-cli HISTORY.rst LICENSE MANIFEST.in README.rst VERSION requirements.txt setup.py setup.cfg
	@python setup.py sdist

rpm-build/.exists:
	mkdir -p rpm-build
	touch rpm-build/.exists

# For devel convinience
install:
	sudo rm -rf dist/ build/ 
	sudo python setup.py install

## ansible-tower-cli 3.0.2

=== debian/changelog ===
ansible-tower-cli (3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 17 Dec 2016 12:50:11 +0100

ansible-tower-cli (3.0.1-1) unstable; urgency=low

  * Initial release (Closes: #840893)

 -- Evgeni Golov <evgeni@debian.org>  Sat, 15 Oct 2016 17:04:00 +0000

=== debian/control ===
Source: ansible-tower-cli
Section: python
Priority: optional
Maintainer: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python3,
               python3-coverage,
               python3-setuptools,
               python3-click,
               python3-colorama,
               python3-nose,
               python3-requests,
               python3-six,
               python3-yaml
Standards-Version: 3.9.8
Homepage: https://github.com/ansible/tower-cli
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ansible-tower-cli.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ansible-tower-cli.git

Package: ansible-tower-cli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: command line tool for Ansible Tower
 tower-cli is a command line tool for Ansible Tower. It allows Tower
 commands to be easily run from the Unix command line. It can also be
 used as a client library for other Python apps, or as a reference for
 others developing API interactions with Tower's REST API.
 .
 This command line tool sends commands to the Tower API. It is capable of
 retrieving, creating, modifying, and deleting most objects within Tower.
 .
 A few potential uses include:
  * Launching playbook runs
  * Checking on job statuses
  * Rapidly creating objects like organizations, users, teams and more

## ansible-tower-cli 3.1.4

=== debian/changelog ===
ansible-tower-cli (3.1.4-1) unstable; urgency=medium

  * New upstream release.
  * don't install HISTORY.rst, it is already installed as changelog

 -- Evgeni Golov <evgeni@debian.org>  Sun, 18 Jun 2017 14:46:37 +0200

ansible-tower-cli (3.1.3-1) experimental; urgency=medium

  * New upstream release.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 30 Apr 2017 19:11:18 +0200

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=ansible-tower-cli
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# tests need https://github.com/lukesneeringer/fauxquests
	# which is not yet in Debian
	# nosetests3

## ansible-tower-cli 3.2.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = $(shell cat VERSION)
+VERSION = $(shell cat tower_cli/VERSION)
 
 DISTS = el6 el7
 DIST_SUFFIX_el6 = 
@@ -42,7 +42,27 @@
 	mkdir -p rpm-build
 	touch rpm-build/.exists
 
-# For devel convinience
+# For devel convenience
 install:
 	sudo rm -rf dist/ build/ 
 	sudo python setup.py install
+
+clean_v2:
+	rm -rf tower_cli_v2
+	rm -rf ansible_tower_cli_v2.egg-info
+	rm -rf setup_v2.py
+	rm -f bin/tower-cli-v2
+
+setup_v2.py:
+	cp -R tower_cli tower_cli_v2/
+	cp bin/tower-cli bin/tower-cli-v2
+	cp setup.py setup_v2.py
+	python version_swap.py
+
+prep_v2: setup_v2.py
+
+install_v2: setup_v2.py
+	sudo rm -rf dist/ build/
+	sudo python setup_v2.py install
+
+v2-refresh: clean_v2 install_v2

=== debian/changelog ===
ansible-tower-cli (3.2.0-2) unstable; urgency=medium

  * add replaces/breaks for ansible-tower-cli (<< 3.2.0-1~) (closes: #880217)

 -- Evgeni Golov <evgeni@debian.org>  Tue, 31 Oct 2017 14:58:37 +0100

ansible-tower-cli (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * add python2 and python3 library packages
  * introduce a separate -doc package
  * Standards-Version: 4.1.1
  * update copyright years

 -- Evgeni Golov <evgeni@debian.org>  Sat, 14 Oct 2017 18:47:18 +0200

=== debian/control ===
Source: ansible-tower-cli
Section: python
Priority: optional
Maintainer: Evgeni Golov <evgeni@debian.org>
Build-Depends: debhelper (>= 10.9.1), dh-python,
               python,
               python-coverage,
               python-setuptools,
               python-click,
               python-colorama,
               python-nose,
               python-requests,
               python-six,
               python-sphinx,
               python-yaml,
               python3,
               python3-coverage,
               python3-setuptools,
               python3-click,
               python3-colorama,
               python3-nose,
               python3-requests,
               python3-six,
               python3-sphinx,
               python3-yaml,
Standards-Version: 4.1.1
Homepage: https://github.com/ansible/tower-cli
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ansible-tower-cli.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ansible-tower-cli.git

Package: ansible-tower-cli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-tower-cli
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: command line tool for Ansible Tower and AWX Project
 tower-cli is a command line tool for Ansible Tower. It allows Tower
 commands to be easily run from the Unix command line.
 .
 This command line tool sends commands to the Tower API. It is capable of
 retrieving, creating, modifying, and deleting most objects within Tower.
 .
 A few potential uses include:
  * Launching playbook runs
  * Checking on job statuses
  * Rapidly creating objects like organizations, users, teams and more

Package: ansible-tower-cli-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-mathjax
Built-Using: ${sphinxdoc:Built-Using}
Replaces: ansible-tower-cli (<< 3.2.0-1~)
Breaks: ansible-tower-cli (<< 3.2.0-1~)
Description: documentation for tower-cli command line tool and library
 tower-cli is a command line tool for Ansible Tower. It allows Tower
 commands to be easily run from the Unix command line. It can also be
 used as a client library for other Python apps, or as a reference for
 others developing API interactions with Tower's REST API.
 .
 This package contains the documentation for the command line tool and
 the library.

Package: python-tower-cli
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: Python 2 client library for the Ansible Tower and AWX Project's REST API
 tower-cli can also be used as a client library for other Python apps, or
 as a reference for others developing API interactions with Tower's REST API.
 .
 This package contains the Python 2 version of the library.

Package: python3-tower-cli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Replaces: ansible-tower-cli (<< 3.2.0-1~)
Breaks: ansible-tower-cli (<< 3.2.0-1~)
Description: Python 3 client library for the Ansible Tower and AWX Project's REST API
 tower-cli can also be used as a client library for other Python apps, or
 as a reference for others developing API interactions with Tower's REST API.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=tower-cli
%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR) make -C docs html man SPHINXBUILD='python3 -msphinx'

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/python3-tower-cli/usr/bin/* $(CURDIR)/debian/ansible-tower-cli/usr/bin/
	$(RM) -rf $(CURDIR)/debian/python-tower-cli/usr/bin
	$(RM) -rf $(CURDIR)/debian/python3-tower-cli/usr/bin

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -rf $(CURDIR)/docs/build/

override_dh_auto_test:
	# tests need https://github.com/lukesneeringer/fauxquests
	# which is not yet in Debian
	# nosetests3

override_dh_sphinxdoc:
	dh_sphinxdoc -X_static/mathjax

=== debian/watch ===
# try also https://pypi.debian.net/ansible-tower-cli/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ansible-tower-cli/ansible-tower-cli-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ansible-tower-cli 3.3.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = $(shell cat tower_cli/VERSION)
+VERSION := $(shell python -c "exec(open('''tower_cli/constants.py''').read(), globals()); print VERSION")
 
 DISTS = el6 el7
 DIST_SUFFIX_el6 = 
@@ -30,12 +30,17 @@
 
 all: $(RPMS)
 
-clean:
+remove_complied:
+	find . -type d -name "__pycache__" -delete
+	find . -name '*.pyc' -delete
+
+clean: remove_complied
 	rm -rf dist
+	rm -rf build
 	rm -rf ansible_tower_cli.egg-info
 	rm -rf rpm-build
 
-dist/ansible-tower-cli-$(VERSION).tar.gz: bin/tower-cli HISTORY.rst LICENSE MANIFEST.in README.rst VERSION requirements.txt setup.py setup.cfg
+dist/ansible-tower-cli-$(VERSION).tar.gz: HISTORY.rst LICENSE MANIFEST.in README.rst requirements.txt setup.py setup.cfg
 	@python setup.py sdist
 
 rpm-build/.exists:
@@ -44,25 +49,23 @@
 
 # For devel convenience
 install:
-	sudo rm -rf dist/ build/ 
-	sudo python setup.py install
+	python setup.py install
+
+refresh: clean install
 
 clean_v2:
 	rm -rf tower_cli_v2
 	rm -rf ansible_tower_cli_v2.egg-info
 	rm -rf setup_v2.py
-	rm -f bin/tower-cli-v2
 
 setup_v2.py:
 	cp -R tower_cli tower_cli_v2/
-	cp bin/tower-cli bin/tower-cli-v2
 	cp setup.py setup_v2.py
 	python version_swap.py
 
 prep_v2: setup_v2.py
 
 install_v2: setup_v2.py
-	sudo rm -rf dist/ build/
-	sudo python setup_v2.py install
+	python setup_v2.py install
 
-v2-refresh: clean_v2 install_v2
+v2-refresh: clean clean_v2 install_v2

=== requirements.txt ===
click>=2.1
colorama>=0.3.1
requests>=2.3.0
six>=1.7.2
PyYAML>=3.10

# === Python < 2.7 ===
# importlib>=1.0.2
# ordereddict>=1.1
# simplejson>=3.5.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = tower_cli
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== tests/requirements.txt ===
coverage>=3.7.1
fauxquests>=1.1
nose>=1.3.3

# === Python < 3.3 ===
# mock>=1.0.1

# === Python < 2.7 ===
# unittest2>=0.5.1

=== debian/changelog ===
ansible-tower-cli (3.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936120

 -- Sandro Tosi <morph@debian.org>  Fri, 18 Oct 2019 22:33:01 -0400

ansible-tower-cli (3.3.0-1) unstable; urgency=medium

  * New upstream release.
  * drop setup.py-codecs.patch, applied upstream
  * drop deprecated_docs folder, not shipped upstream anymore
  * explicitly depend on python3-distutils (Closes: #904117)
  * switch Vcs-* to salsa
  * explicitly depend on dh 11 now that it's released
  * also install manpage for awx-cli

 -- Evgeni Golov <evgeni@debian.org>  Sun, 19 Aug 2018 10:54:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Evgeni Golov <evgeni@debian.org>
-Build-Depends: debhelper (>= 10.9.1), dh-python,
-               python,
-               python-coverage,
-               python-setuptools,
-               python-click,
-               python-colorama,
-               python-nose,
-               python-requests,
-               python-six,
-               python-sphinx,
-               python-yaml,
+Build-Depends: debhelper (>= 11), dh-python,
                python3,
+               python3-distutils,
                python3-coverage,
                python3-setuptools,
                python3-click,
@@ -25,8 +16,8 @@
                python3-yaml,
 Standards-Version: 4.1.1
 Homepage: https://github.com/ansible/tower-cli
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ansible-tower-cli.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ansible-tower-cli.git
+Vcs-Browser: https://salsa.debian.org/debian/ansible-tower-cli
+Vcs-Git: https://salsa.debian.org/debian/ansible-tower-cli
 
 Package: ansible-tower-cli
 Architecture: all
@@ -61,20 +52,9 @@
  This package contains the documentation for the command line tool and
  the library.
 
-Package: python-tower-cli
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
-Recommends: ${python:Recommends}
-Suggests: ${python:Suggests}
-Description: Python 2 client library for the Ansible Tower and AWX Project's REST API
- tower-cli can also be used as a client library for other Python apps, or
- as a reference for others developing API interactions with Tower's REST API.
- .
- This package contains the Python 2 version of the library.
-
 Package: python3-tower-cli
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: ${misc:Depends}, ${python3:Depends}, python3-distutils
 Recommends: ${python3:Recommends}
 Suggests: ${python3:Suggests}
 Replaces: ansible-tower-cli (<< 3.2.0-1~)

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=tower-cli
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -11,7 +11,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	mv $(CURDIR)/debian/python3-tower-cli/usr/bin/* $(CURDIR)/debian/ansible-tower-cli/usr/bin/
-	$(RM) -rf $(CURDIR)/debian/python-tower-cli/usr/bin
 	$(RM) -rf $(CURDIR)/debian/python3-tower-cli/usr/bin
 
 override_dh_auto_clean:
